package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF8G6Response {

    @Parameter(name = "AppKey_ClientCif")
    Long appKeyClientCif();

    @Parameter(name = "AppKey_CreditCardAccount")
    Long appKeyCreditCardAccount();

    @Parameter(name = "AppKey_CreditCardInstance")
    Long appKeyCreditCardInstance();

    @Parameter(name = "AppKey_CurrentAccount")
    Long appKeyCurrentAccount();

    @Parameter(name = "AppKey_InternetBank")
    Long appKeyInternetBank();

    @Parameter(name = "AppSetKey")
    Long appSetKey();

    @Parameter(name = "PackageKey")
    Long packageKey();

    @Parameter(name = "WorkflowId")
    String workflowId();

}